commit 9c02bad2b5e012e36bb0a440063569bc40b95f2e
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Aug 23 22:06:43 2024 +0100

    libstdc++: Hide std::tuple internals from Doxygen docs
    
    libstdc++-v3/ChangeLog:
    
            * include/std/tuple: Do not include implementation details in
            Doxygen documentation.
    
    (cherry picked from commit 5cfee9360c90da8171e9f6bb71568bdc4c296e6e)

diff --git a/libstdc++-v3/include/std/tuple b/libstdc++-v3/include/std/tuple
index 3065058e184..85a380842b6 100644
--- a/libstdc++-v3/include/std/tuple
+++ b/libstdc++-v3/include/std/tuple
@@ -65,6 +65,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
   template<typename... _Elements>
     class tuple;
 
+  /// @cond undocumented
   template<typename _Tp>
     struct __is_empty_non_tuple : is_empty<_Tp> { };
 
@@ -828,6 +829,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
 	static constexpr bool __is_explicitly_constructible()
 	{ return false; }
     };
+  /// @endcond
 
   /// Primary class template, tuple
   template<typename... _Elements>

